Adoptable Cookbooks List

Looking for a cookbook to adopt? You can now see a list of cookbooks available for adoption!
List of Adoptable Cookbooks

Supermarket Belongs to the Community

Supermarket belongs to the community. While Chef has the responsibility to keep it running and be stewards of its functionality, what it does and how it works is driven by the community. The chef/supermarket repository will continue to be where development of the Supermarket application takes place. Come be part of shaping the direction of Supermarket by opening issues and pull requests or by joining us on the Chef Mailing List.

Select Badges

Select Supported Platforms

RSS

sikulix (8) Versions 3.0.0

Installs/Configures SikuliX

Berkshelf/Librarian
Policyfile
Knife
cookbook 'sikulix', '= 3.0.0'
cookbook 'sikulix', '= 3.0.0', :supermarket
knife cookbook site install sikulix
knife cookbook site download sikulix
README
Dependencies
Changelog
Quality

SikuliX Cookbook

Cookbook Version Build Status

This cookbook installs SikuliX 1.1.0 (http://www.sikulix.com/).

Requirements

  • Java (not installed by this cookbook)
  • Chef 11+

Platforms

  • Ubuntu
  • Windows

Cookbooks

  • apt
  • windows

Usage

Include the sikulix default recipe in your run list or recipe.

IMPORTANT! Since there are a variety of setup options to choose from, all option attributes default to false. You must select each setup option to install by setting its corresponding attribute to true.

Example

"override_attributes": {
  "sikulix": {
    "username": "vagrant",
    "setup": {
      "java_api": true
    }
  }
}

or

node.set['sikulix']['username'] = 'vagrant'
node.set['sikulix']['setup']['java_api'] = true

Attributes

Username is required by linux only. - node['sikulix']['username'] - Linux only. Default nil.

Pack1: I want SikuliX, containing the Sikuli IDE and allowing to run Sikuli scripts from commandline.

  • node['sikulix']['setup']['ide_jython'] - Python language level 2.7. Default false.
  • node['sikulix']['setup']['ide_jruby'] - Ruby language level 1.9 and 2.0. Default false.

Pack2: I want to develop in Java, Jython or other Java aware scripting language using NetBeans, Eclipse, or other IDE's.

  • node['sikulix']['setup']['java_api'] - Default false.

I want to use the Tesseract based OCR features (You Should know what you are doing!).

  • node['sikulix']['setup']['tesseract_ocr'] - Default false.

I want the packages to be usable on Windows, Mac, Linux (they contain the stuff for all systems - one pack for all). With these options not selected, the setup process will only add system specific native stuff (Windows: support for both Java 32-Bit and Java 64-Bit is added).

  • node['sikulix']['setup']['system_all'] - Default false.

Other:

  • node['sikulix']['setup']['buildv'] - Build libVisionProxy.so. Default false.
  • node['sikulix']['setup']['notest'] - Skip validation after install. Default false.
  • node['sikulix']['setup']['clean'] - Clean directory. Default false.

Getting Help

Contributing

Please refer to CONTRIBUTING.

License

MIT - see the accompanying LICENSE file for details.

Dependent cookbooks

windows ~> 1.34
apt ~> 2.6

Contingent cookbooks

There are no cookbooks that are contingent upon this one.

Changelog

3.0.0

  • Support Sikulix 1.1.0

2.0.3

  • GitHub issues link invalid

2.0.2

  • No X11 DISPLAY

2.0.1

  • Change license from All Rights Reserved to MIT

2.0.0

  • Add ubuntu support
  • Remove support for JRuby Addons and Remote Server
  • Refactor attribute names

1.0.0

  • Add support for Remote Server
  • Refactor Setup attribute names
  • Place guard on Setup to run only once
  • Fix memory bug with Setup

0.1.0

  • Initial release using sikulix v1.1.0 nightly builds

Foodcritic Metric
            

3.0.0 passed this metric